ParallelEnumerable.Except<TSource> Method (ParallelQuery<TSource>, IEnumerable<TSource>, IEqualityComparer<TSource>)

Note: This API is now obsolete.

This Except overload should never be called. This method is marked as obsolete and always throws NotSupportedException when called.

Namespace:  System.Linq
Assembly:  System.Core (in System.Core.dll)

[ObsoleteAttribute("The second data source of a binary operator must be of type System.Linq.ParallelQuery<T> rather than System.Collections.Generic.IEnumerable<T>. To fix this problem, use the AsParallel() extension method to convert the right data source to System.Linq.ParallelQuery<T>.")]
public static ParallelQuery<TSource> Except<TSource>(
	this ParallelQuery<TSource> first,
	IEnumerable<TSource> second,
	IEqualityComparer<TSource> comparer
)

Type Parameters

TSource

This type parameter is not used.

Parameters

first
Type: System.Linq.ParallelQuery<TSource>
This parameter is not used.
second
Type: System.Collections.Generic.IEnumerable<TSource>
This parameter is not used.
comparer
Type: System.Collections.Generic.IEqualityComparer<TSource>
This parameter is not used.

Return Value

Type: System.Linq.ParallelQuery<TSource>
This overload always throws a NotSupportedException.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type ParallelQuery<TSource>. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).

ExceptionCondition
NotSupportedException

The exception that occurs when this method is called.

This overload exists to disallow usage of Except with a left data source of type ParallelQuery<TSource> and a right data source of type IEnumerable<T>. Otherwise, the Except operator would appear to be binding to the parallel implementation, but would in reality bind to the sequential implementation.

.NET Framework

Obsolete (compiler warning) in 4

.NET Framework Client Profile

Obsolete (compiler warning) in 4

Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

The .NET Framework does not support all versions of every platform. For a list of the supported versions, see .NET Framework System Requirements.
Was this page helpful?
(1500 characters remaining)
Thank you for your feedback

Community Additions

ADD
Show:
© 2014 Microsoft